Update a deal
PATCH
/deals/{id}Requires scope: write:deals
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
idrequired | path | string | |
Idempotency-Keyrequired | header | string | Stable logical request ID required for every machine mutation; exact retries replay and changed inputs conflict. |
Request body
| Field | Type | Allowed values | Description |
|---|---|---|---|
name | string | any string | |
value | number | any number | |
stage | string | discoveryqualifyingproposalnegotiationwonlost | |
next_step | string | any string | |
next_step_due | string | any string | |
owner_user_id | string | any string | |
lost_reason | string | no_responsetimingbudgetchose_another_agencyproject_cancellednot_a_fitother | |
lost_reason_other | string | any string | |
archived | boolean | any boolean |
Responses
| Status | Description |
|---|---|
200 | Updated |
401 | Missing or invalid API key |
403 | Key lacks the required scope |
404 | Deal not found |
409 | Concurrent edit conflict |
429 | Rate limit exceeded (see Retry-After) |
Is this page helpful?